Bug 648420 - [REG][5.6] When systemtap is used with '-I' option, segmentation fault occurs.
[REG][5.6] When systemtap is used with '-I' option, segmentation fault occurs.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.6
i686 Linux
low Severity medium
: rc
: ---
Assigned To: Frank Ch. Eigler
qe-baseos-tools
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-01 05:02 EDT by Masayoshi Yamazaki
Modified: 2011-05-13 08:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: systemtap-1.3-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 17:11:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 12176 None None None Never

  None (edit)
Comment 5 Mark Wielaard 2010-11-01 07:18:06 EDT
Reported upstream:

http://sourceware.org/bugzilla/show_bug.cgi?id=12176

And pushed a fix:

commit 83d4d1a3d2484833af1299de6062f27613a8b9b5
Author: Mark Wielaard <mjw@redhat.com>
Date:   Mon Nov 1 11:55:35 2010 +0100

    PR12176 String literal at end of file crashes parser.
    
    * parse.cxx (parser::parse_literal): Only inspect next token if there is one
    * testsuite/parseok/end_string.stp: New testcase.
Comment 11 errata-xmlrpc 2011-01-13 17:11:53 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0037.html

Note You need to log in before you can comment on or make changes to this bug.